Package com.castlabs.android.player

# Class DisplayInfo

java.lang.Object
com.castlabs.android.player.DisplayInfo

public class DisplayInfo extends Object
Wraps information about currently connected displays.

Since:
  3.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `numberOfPresentationDisplays`
  The number of presentation displays.
  `final int`
  `numberOfTotalDisplays`
  The total number of displays
  `final boolean`
  `remote`
  True if a remote display is connected on the current route.
  `final boolean`
  `secure`
  True if all connected displays are secure and support protected buffers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### remote

    public final boolean remote
    True if a remote display is connected on the current route. This is usually a mirrored display connected through wifi. HDMI connection might not be covered by this.

  - ### secure

    public final boolean secure
    True if all connected displays are secure and support protected buffers. See `Display.FLAG_SECURE` and `Display.FLAG_SUPPORTS_PROTECTED_BUFFERS`. Note that this information is only available on Devices with API level >= 17. On API 16, this will always be `false`.

  - ### numberOfTotalDisplays

    public final int numberOfTotalDisplays
    The total number of displays

  - ### numberOfPresentationDisplays

    public final int numberOfPresentationDisplays
    The number of presentation displays. These can be for instance debug overlays or casting screens.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`